Bug 1707367 - libsolv: FTBFS in Fedora rawhide with swig-4.0.0
Summary: libsolv: FTBFS in Fedora rawhide with swig-4.0.0
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libsolv
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL: http://apps.fedoraproject.org/koschei...
Whiteboard:
Depends On:
Blocks: PYTHON38 F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-05-07 11:41 UTC by Jitka Plesnikova
Modified: 2019-07-31 22:40 UTC (History)
10 users (show)

Fixed In Version: libsolv-0.7.4-3.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-21 12:26:21 UTC


Attachments (Terms of Use)
Fix for swig 4.0.0 (836 bytes, patch)
2019-05-07 11:41 UTC, Jitka Plesnikova
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Github openSUSE libsolv issues 325 None None None 2019-05-14 15:00:13 UTC

Description Jitka Plesnikova 2019-05-07 11:41:24 UTC
Created attachment 1565131 [details]
Fix for swig 4.0.0

Description of problem:
Package libsolv fails to build from source in Fedora rawhide with swig-4.0.0.

More details about the issue can be found here:
https://sourceforge.net/p/swig/mailman/swig-devel/thread/61396b43-59bd-e7e7-dd65-c77985818f51%40redhat.com/#msg36590176

Version-Release number of selected component (if applicable):
0.7.4-2.fc31

Steps to Reproduce:
koji build --scratch f31 libsolv-0.7.4-2.fc31.src.rpm

Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/libsolv

Comment 1 Igor Gnatenko 2019-05-07 12:04:06 UTC
Could you send this patch upstream as well? https://github.com/openSUSE/libsolv


Note You need to log in before you can comment on or make changes to this bug.